Page MenuHomePhabricator

Tools for curating and organizing editing work: what has been done and where to go next
Closed, ResolvedPublic

Description

Session title: Tools for curating and organizing editing work: what has been done and where to go next
Main topic: A unified vision for editorial collaboration
Type of activity: Discussion
Description:

Wikipedians use various tools to curate work, including maintenance templates, categories, to-do lists, and WikiProjects. In recent years, new tools have come along to improve this work, including:

  • CollaborationKit, an extension under development to make WikiProjects easy to develop and maintain, along with the accompanying Reports Bot scripts that generate automated reports, This is based off of the work of WikiProject X, with prototype interfaces/tools used by about a dozen WikiProjects.
  • Wikipedia Requests, https://wpx.wmflabs.org/requests/en, a Labs tool in "cold launch" state that organizes editing requests for distribution to WikiProjects.
  • Translate Extension, which provides an interface for translating articles, and includes a recommendation system.

Between the old-school template-and-category system and this new generation of curation tools, we have several different approaches to work curation at varying levels of maturity.

The goal of this session is to (gradually) work toward a unified approach that meets the needs of Wikipedia editors, peripheral and core, new and veteran. A product roadmap of sorts, though the true roadmap shouldn't be developed without more user research.

Proposed by: @Harej

Preferred group size: 10 or so?

Any supplies that you would need to run the session: A whiteboard would be nice.

Interested attendees (sign up below)

Event Timeline

Harej created this task.Oct 13 2016, 9:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 9:41 PM
Harej updated the task description. (Show Details)Oct 13 2016, 9:44 PM
Harej added a subscriber: jmatazzoni.
Qgil added a subscriber: Qgil.

Thank you Harej for submitting this proposal. Could you use the template defined at https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/Call_for_participation#Fill_the_form please? This will help you and the rest of us figure out the scope and expectations of this proposal. It will also help Summit participants to navigate through session proposals thanks to the common format.

Harej claimed this task.Oct 21 2016, 10:00 PM
Harej updated the task description. (Show Details)
cscott added a subscriber: cscott.Nov 4 2016, 8:49 PM

Oh, I like this proposal. For more ideas, feel free to steal from T149664: Next steps for edit review which seems to start from a very similar place. At the Editing team offsite, we discussed this general topic at length as (more or less) "what are we going to do about Flow?", since Extension:Flow was originally conceived as a *workflow* tool.

We need some tags to associate to this proposal Adding Collaboration-Team-Triage tentatively.

Qgil updated the task description. (Show Details)Nov 15 2016, 11:48 AM

I'm always interested in these kinds of discussions, and in the work of the WikiProject X team. I also see some potentially generative alignment between this proposal and T150078.

Today is the deadline Summit proposals aiming to be pre-scheduled to proof active interest. This proposal hasn't got any ongoing discussion. It still might be a good candidate for an Unconference session.

@Harej Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Harej updated the task description. (Show Details)Dec 26 2016, 9:30 PM

To the facilitator of this session: We have updated the unconference page with more instructions and faqs. Please review it in detail before the summit: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Unconference. If there are any questions or confusions, please ask! If your session gets a spot on the schedule, we would like you to read the session guidelines in detail: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We would also then expect you to recruit Note-taker(s) 2(min) and 3 (max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be available in all the session rooms! See you at the summit! :)

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

@Harej are there any action items remaining on this task or are you planning to use this space for further discussion? If not, I would close this task as resolved!

Qgil removed a subscriber: Qgil.Feb 20 2017, 2:08 PM
Aklapper closed this task as Resolved.Mar 22 2017, 10:37 PM

@Harej are there any action items remaining on this task or are you planning to use this space for further discussion? If not, I would close this task as resolved!

No reply, hence assuming this task is resolved. Please reopen if not (or create / link to followup tasks that were a result of the session). :)